<refreshable-panel [dataProvider]="this">
    <refreshable-panel-header [title]="'PrivateMessage'" [routerLink]="routerLink"></refreshable-panel-header>
    <refreshable-panel-content>
        <p>
            <strong>
                {{ "Sender" | localize }}:
            </strong>
            {{ messageDetail.senderName }}
        </p>
        <p>
            <strong>
                {{ "Target" | localize }}:
            </strong>
            {{ messageDetail.targetName }}
        </p>
        <p>
            <strong>
                {{ "Date" | localize }}:
            </strong>
            {{ messageDetail.dateCreated }}
        </p>
        <p class="well well-sm">
            {{ messageDetail.text }}
        </p>
        <h4>
            {{ "Replies" | localize }}
        </h4>
        <p *ngIf="messageDetail.uploadedFiles.length != 0">
            <strong> {{ "Files" | localize }}: </strong>
            <a *ngFor="let file of messageDetail.uploadedFiles" (click)="downloadFile(file)">
                {{ file.fileName }}
            </a>
        </p>
        <refreshable-panel-actions>
            <form autocomplete="off" #replyCreator="ngForm" (submit)="reply()">
                <h4> {{ "Reply" | localize }}:</h4>
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-12 col-lg-7">
                            <mat-form-field>
                                <textarea matInput [placeholder]="'ReplyText' | localize" name="replyText" required
                                    [(ngModel)]="newReply.text"></textarea>
                            </mat-form-field>
                            <input name="attachedFiles" type="file" multiple (change)="onFileChange($event)" />
                        </div>
                        <div class="col-12 col-lg-5">
                            <button mat-button type="submit" color="primary" class="btn btn-default"
                                [disabled]="!replyCreator.form.valid || sending">
                                {{ "Reply" | localize }}
                            </button>
                        </div>
                    </div>
                </div>
            </form>
        </refreshable-panel-actions>
        <ul class="list-group">
            <li class="list-group-item reply-item" *ngFor="let reply of messageDetail.replies">
                <p>
                    <strong> {{ "Sender" | localize }} </strong> {{ reply.senderName }}
                </p>
                <p>
                    <strong> {{ "Date" | localize }} </strong> {{ reply.dateCreated }}
                </p>
                <p class="well well-sm">
                    {{ reply.text }}
                </p>
                <p *ngIf="reply.uploadedFiles.length != 0">
                    <strong> {{ "Files" | localize }}: </strong>
                    <a *ngFor="let file of reply.uploadedFiles" (click)="downloadFile(file)">
                        {{ file.fileName }}
                    </a>
                </p>
            </li>
        </ul>
    </refreshable-panel-content>
</refreshable-panel>
